package com.bonus.core.order.client.po;

public class CustPayInfoQueryParam {
   private Long custId;
   private String serialNum;
   private String openid;

   public static CustPayInfoQueryParam ofCustId(Long custId) {
      CustPayInfoQueryParam param = new CustPayInfoQueryParam();
      param.setCustId(custId);
      return param;
   }

   public static CustPayInfoQueryParam ofSerialNum(String serialNum) {
      CustPayInfoQueryParam param = new CustPayInfoQueryParam();
      param.setSerialNum(serialNum);
      return param;
   }

   public static CustPayInfoQueryParam ofOpenid(String openid) {
      CustPayInfoQueryParam param = new CustPayInfoQueryParam();
      param.setOpenid(openid);
      return param;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public String getOpenid() {
      return this.openid;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setOpenid(final String openid) {
      this.openid = openid;
   }

}
